
QGIS Application - Bug report #18100

Processing tool crash qgis when selected

2018-02-14 01:26 PM - Diogo Caribé

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Ubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 25996

Description

When I open Qgis there is one massage about problem in Processing: WARNING    Plugin processing : The plugin will be disabled

because it crashed QGIS during last startup. Please report an issue and re-enable the plugin when the problem has been solved.

So, I've tried to reload it by Manage and Install Plugin... selecting processing tool box. However, Qgis crashes every time.

I've remove every thing from it, reinstall, and nothing happened correctly. The problem keep there.

I don't know ehat to do even searched every where in internet.

Regards

History

#1 - 2018-02-14 01:39 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you run from the console and see if there's any useful debug information printed?

#2 - 2018-02-14 01:58 PM - Diogo Caribé

Nyall Dawson wrote:

Can you run from the console and see if there's any useful debug information printed?

I run qgis from terminal. Is it help?

The error massages (i think they are error) that I have seen:

/src/core/qgsmessagelog.cpp: 27: (logMessage) [4ms] 2018-02-14T09:51:47 Messages

1

 Plugin processing : The plugin will be disabled because it

crashed QGIS during last startup. Please report an issue and re-enable the plugin when the problem has been solved.

../../src/providers/gdal/qgsgdalprovider.cpp: 2312: (buildSupportedRasterFileFilterAndExtensions) [0ms] [thread:0x5652ae0150f0] Raster extension list

built: vrt ovr tif tiff ntf toc xml img gff asc ddf dt0 dt1 dt2 png jpg jpeg mem gif n1 xpm bmp pix map mprmpl rgb hgt ter ter nc nc hdf lbl cub jp2 j2k grb rsw

nat rst grd grd grd hdr rda webp pdf sqlite mbtiles cal ct1 pnm hdr bt lcp gtx gsb ACE2 hdr kro grd bil rik dem gxf hdf5 grd grc gen img blx sdat xyz hf2 e00

dat bin ppi prf gpkg dwg zip gz tar tar.gz tgz

ERROR 6: The WMS poDriver does not support update access to existing datasets.
../../src/providers/wms/qgstilescalewidget.cpp: 120: (showTileScale) [0ms] canvas:5652ad05d650 [theMapCanvas]

../../src/gui/qgsmapcanvas.cpp: 465: (refresh) [290ms] CANVAS refresh - invalid settings -> nothing to do

../../src/gui/qgsmapcanvas.cpp: 465: (refresh) [2ms] CANVAS refresh - invalid settings -> nothing to do

../../src/gui/qgsmapcanvas.cpp: 383: (setDestinationCrs) [0ms] refreshing after destination CRS changed

../../src/gui/qgsmapcanvas.cpp: 465: (refresh) [0ms] CANVAS refresh - invalid settings -> nothing to do

../../src/gui/qgsmapcanvas.cpp: 465: (refresh) [16ms] CANVAS refresh - invalid settings -> nothing to do

../../src/gui/qgsmaptool.cpp: 91: (activate) [0ms] Cursor has been set

Warning: QObject::disconnect: signal not found in QgisAppInterface

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(0xcabd)[0x5652aa676abd]

/usr/bin/qgis.bin(+0xcfca)[0x5652aa676fca]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x914c6)[0x7f17f98644c6]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const*, ...) const+0xac)[0x7f17f986528c]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QObject::disconnectImpl(QObject const*, void**, QObject const*, void**, QMetaObject

const*)+0x102)[0x7f17f9a8ac72]

/usr/lib/qgis/plugins/libgrassplugin7.so(+0x5444e)[0x7f17c87ea44e]

/usr/lib/qgis/plugins/libgrassplugin7.so(+0x50442)[0x7f17c87e6442]

/usr/lib/libqgis_app.so.2.99.0(QgsPluginRegistry::unloadCppPlugin(QString const&)+0x12a)[0x7f17fc14178c]

/usr/lib/libqgis_app.so.2.99.0(+0x830457)[0x7f17fc3f4457]

/usr/lib/libqgis_app.so.2.99.0(+0x834e4b)[0x7f17fc3f8e4b]

/usr/lib/libqgis_app.so.2.99.0(+0x851083)[0x7f17fc415083]

/usr/lib/libqgis_app.so.2.99.0(+0x85095e)[0x7f17fc41495e]

/usr/lib/libqgis_app.so.2.99.0(+0x85042f)[0x7f17fc41442f]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMetaObject::activate(QObject*, int, int, void**)+0x66f)[0x7f17f9a87baf]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(QStandardItemModel::itemChanged(QStandardItem*)+0x3f)[0x7f17fa10362f]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(+0x45bab5)[0x7f17fa104ab5]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMetaObject::activate(QObject*, int, int, void**)+0x7ea)[0x7f17f9a87d2a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QAbstractItemModel::dataChanged(QModelIndex const&, QModelIndex const&, QVector<int>

const&)+0x3c)[0x7f17f9b03e2c]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(+0x45c182)[0x7f17fa105182]

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5(QStandardItem::setData(QVariant const&, int)+0x134)[0x7f17fa1059b4]

../../src/core/qgsmessagelog.cpp: 27: (logMessage) [15ms] 2018-02-14T09:56:46 Qt

1

 QObject::disconnect: signal not found in QgisAppInterface

../../src/app/qgspluginregistry.cpp: 159: (removePlugin) [3ms] removing plugin: libgrassplugin7

../../src/app/qgspluginregistry.cpp: 463: (unloadCppPlugin) [0ms] Cpp plugin successfully unloaded: libgrassplugin7

../../src/app/pluginmanager/qgspluginmanager.cpp: 618: (pluginItemChanged) [950ms]  Loading plugin: MetaSearch

../../src/app/pluginmanager/qgspluginmanager.cpp: 259: (loadPlugin) [0ms] Loading Python plugin: MetaSearch

../../src/core/qgsmessagelog.cpp: 27: (logMessage) [793ms] 2018-02-14T09:56:48 Plugins

0

 Loaded MetaSearch Catalog Client (package: MetaSearch)

../../src/app/pluginmanager/qgspluginmanager.cpp: 268: (loadPlugin) [1ms] Plugin loaded: MetaSearch

../../src/app/pluginmanager/qgspluginmanager.cpp: 630: (pluginItemChanged) [894ms]  Unloading plugin: MetaSearch

../../src/app/pluginmanager/qgspluginmanager.cpp: 289: (unloadPlugin) [0ms] Unloading Python plugin: MetaSearch

../../src/app/qgspluginregistry.cpp: 437: (unloadPythonPlugin) [3ms] Python plugin successfully unloaded: MetaSearch

../../src/app/pluginmanager/qgspluginmanager.cpp: 618: (pluginItemChanged) [1877ms]  Loading plugin: cpp:libofflineeditingplugin

../../src/app/pluginmanager/qgspluginmanager.cpp: 264: (loadPlugin) [0ms] Loading C+ plugin: /usr/lib/qgis/plugins/libofflineeditingplugin.so

../../src/core/qgsmessagelog.cpp: 27: (logMessage) [4ms] 2018-02-14T09:56:50 Plugins

0

 Loaded OfflineEditing (Path:

/usr/lib/qgis/plugins/libofflineeditingplugin.so)

../../src/app/qgspluginregistry.cpp: 375: (loadCppPlugin) [1ms] plugin object name: 

../../src/app/qgspluginregistry.cpp: 381: (loadCppPlugin) [0ms] object name to offlineeditingplugin

../../src/app/qgspluginregistry.cpp: 383: (loadCppPlugin) [0ms] plugin object name now: qgis_plugin_offlineeditingplugin

../../src/app/qgspluginregistry.cpp: 388: (loadCppPlugin) [0ms] setting plugin parent

../../src/app/pluginmanager/qgspluginmanager.cpp: 268: (loadPlugin) [0ms] Plugin loaded: /usr/lib/qgis/plugins/libofflineeditingplugin.so

../../src/app/pluginmanager/qgspluginmanager.cpp: 630: (pluginItemChanged) [915ms]  Unloading plugin: cpp:libofflineeditingplugin

../../src/app/pluginmanager/qgspluginmanager.cpp: 294: (unloadPlugin) [0ms] Unloading C++ plugin: /usr/lib/qgis/plugins/libofflineeditingplugin.so
../../src/app/qgspluginregistry.cpp: 159: (removePlugin) [0ms] removing plugin: libofflineeditingplugin

../../src/app/qgspluginregistry.cpp: 463: (unloadCppPlugin) [0ms] Cpp plugin successfully unloaded: libofflineeditingplugin

../../src/app/pluginmanager/qgspluginmanager.cpp: 618: (pluginItemChanged) [1007ms]  Loading plugin: cpp:libtopolplugin

../../src/app/pluginmanager/qgspluginmanager.cpp: 264: (loadPlugin) [0ms] Loading C++ plugin: /usr/lib/qgis/plugins/libtopolplugin.so

../../src/core/qgsmessagelog.cpp: 27: (logMessage) [8ms] 2018-02-14T09:56:52 Plugins

0

 Loaded Topology Checker (Path:

/usr/lib/qgis/plugins/libtopolplugin.so)

../../src/app/qgspluginregistry.cpp: 375: (loadCppPlugin) [1ms] plugin object name: 

../../src/app/qgspluginregistry.cpp: 381: (loadCppPlugin) [0ms] object name to topolplugin

../../src/app/qgspluginregistry.cpp: 383: (loadCppPlugin) [0ms] plugin object name now: qgis_plugin_topolplugin

../../src/app/qgspluginregistry.cpp: 388: (loadCppPlugin) [0ms] setting plugin parent

../../src/app/pluginmanager/qgspluginmanager.cpp: 268: (loadPlugin) [0ms] Plugin loaded: /usr/lib/qgis/plugins/libtopolplugin.so

../../src/app/pluginmanager/qgspluginmanager.cpp: 630: (pluginItemChanged) [1046ms]  Unloading plugin: cpp:libtopolplugin

../../src/app/pluginmanager/qgspluginmanager.cpp: 294: (unloadPlugin) [0ms] Unloading C++ plugin: /usr/lib/qgis/plugins/libtopolplugin.so

../../src/app/qgspluginregistry.cpp: 159: (removePlugin) [0ms] removing plugin: libtopolplugin

../../src/app/qgspluginregistry.cpp: 463: (unloadCppPlugin) [0ms] Cpp plugin successfully unloaded: libtopolplugin

../../src/app/pluginmanager/qgspluginmanager.cpp: 618: (pluginItemChanged) [3855ms]  Loading plugin: processing

../../src/app/pluginmanager/qgspluginmanager.cpp: 259: (loadPlugin) [0ms] Loading Python plugin: processing

QH6248 qh_lib_check: Incorrect qhull library called.  Caller uses reentrant Qhull while library is non-reentrant

QH6249 qh_lib_check: Incorrect qhull library called.  Size of qhT for caller is 8184, but for library is 2896.

QH6255 qh_lib_check: Cannot continue.  Library 'qhull 7.2.0 (2015.2 2016/01/18)' uses a dynamic qhT via qh_QHpointer (e.g., qhull_p.so)

QGIS died on signal 11Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Aborted (core dumped)

#3 - 2018-02-14 09:02 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Feedback to Closed

Here's the relevant error:

QH6248 qh_lib_check: Incorrect qhull library called. Caller uses reentrant Qhull while library is non-reentrant

QH6249 qh_lib_check: Incorrect qhull library called. Size of qhT for caller is 8184, but for library is 2896.

QH6255 qh_lib_check: Cannot continue. Library 'qhull 7.2.0 (2015.2 2016/01/18)' uses a dynamic qhT via qh_QHpointer (e.g., qhull_p.so)

This isn't a qgis issue - it's something in your installed packages/python libraries or th local build environment.

#4 - 2018-02-14 10:24 PM - Diogo Caribé

Nyall Dawson wrote:

Here's the relevant error:

QH6248 qh_lib_check: Incorrect qhull library called. Caller uses reentrant Qhull while library is non-reentrant

QH6249 qh_lib_check: Incorrect qhull library called. Size of qhT for caller is 8184, but for library is 2896.

QH6255 qh_lib_check: Cannot continue. Library 'qhull 7.2.0 (2015.2 2016/01/18)' uses a dynamic qhT via qh_QHpointer (e.g., qhull_p.so)
This isn't a qgis issue - it's something in your installed packages/python libraries or th local build environment.

Thank you so much.

so much. You know something to help me in order to correct this problem?

#5 - 2018-02-28 01:56 PM - Jürgen Fischer

- Subject changed from Processsing tool crash qgis when selected to Processing tool crash qgis when selected

Files

error_qgis-2018-02-14_09.24.43.mp4 1.13 MB 2018-02-14 Diogo Caribé
